# Copyright 2019 The Cobalt Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# This file was initially generated by starboard/tools/create_derived_build.py,
# though it may have been modified since its creation.

{
  'variables': {
    'yasm_exists': 1,
    'sb_target_platform': 'evergreen-x86',

    'compiler_flags': [
      '-isystem<(cobalt_repo_root)/third_party/musl/arch/i386',
    ],
  },

  'target_defaults': {
    'defines' : [
      # Ensure that the Starboardized __external_threading file is included.
      '_LIBCPP_HAS_THREAD_API_EXTERNAL',
      # Ensure that only the forward declarations and type definitions are included
      # in __external_threading.
      '_LIBCPP_HAS_THREAD_LIBRARY_EXTERNAL',
      # Enable GNU extensions to get prototypes like ffsl.
      '_GNU_SOURCE=1',
    ],
    'default_configuration': 'evergreen-x86-sbversion-12_debug',
    'configurations': {
      'evergreen-x86-sbversion-12_debug': {
        'inherit_from': ['debug_base'],
      },
      'evergreen-x86-sbversion-12_devel': {
        'inherit_from': ['devel_base'],
      },
      'evergreen-x86-sbversion-12_qa': {
        'inherit_from': ['qa_base'],
      },
      'evergreen-x86-sbversion-12_gold': {
        'inherit_from': ['gold_base'],
      },
    }, # end of configurations
  },
  'includes': [
    '<(DEPTH)/starboard/evergreen/shared/gyp_configuration.gypi',
    '<(DEPTH)/starboard/evergreen/shared/compiler_flags.gypi',
  ],
}
